I really need this addon Waardering 5 van 5 sterren

Hope this addon can support firefox 3 as early as possible! because I can't use firefox 3 without this addon!

Deze beoordeling betreft een eerdere versie van de add-on (0.2.1.1).